﻿using System;
using Microsoft.VisualStudio.TestTools.UITesting;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Microsoft.VisualStudio.TestTools.UITest.Input;
using Microsoft.VisualStudio.TestTools.UITest.Extension;
using Microsoft.VisualStudio.TestTools.UITesting.HtmlControls;
using Microsoft.VisualStudio.TestTools.UITesting.DirectUIControls;
using Microsoft.VisualStudio.TestTools.UITesting.WindowsRuntimeControls;
using Keyboard = Microsoft.VisualStudio.TestTools.UITesting.Keyboard;


namespace CodedUITestProject6
{
    /// <summary>
    /// Summary description for CodedUITest1
    /// </summary>
    [CodedUITest(CodedUITestType.WindowsStore)]
    public class CodedUITest1
    {
        public CodedUITest1()
        {
        }

        [TestMethod]
        public void CodedUITestMethod1()
        {
            //Launch app using XamlWindow.Launch or user action (e.g. Gesture.Tap on the tile)
            XamlWindow calcWindow = XamlWindow.Launch("Microsoft.WindowsCalculator_8wekyb3d8bbwe!App");

            //Alternate: tile tap to launch app
            //Keyboard.SendKeys("", ModifierKeys.Windows);
            //Gesture.Tap(this.UIMap.UIStartmenuPane.UIStartAppsList.UIBingGroup.UICalculatorListItem);

            // Do 7+8 
            Gesture.Tap(this.UIMap.UICalculatorWindow.UISevenButton);
            Gesture.Tap(this.UIMap.UICalculatorWindow.UIMultiplybyButton);
            Gesture.Tap(this.UIMap.UICalculatorWindow.UIEightButton);
            Gesture.Tap(this.UIMap.UICalculatorWindow.UIEqualsButton);

            //Verify results
            StringAssert.Equals("56", this.UIMap.UICalculatorWindow.UIItem0Pane.UIItem0Text.DisplayText);
	    calcWindow.Close();
            
        }

        #region Additional test attributes

        // You can use the following additional attributes as you write your tests:

        ////Use TestInitialize to run code before running each test 
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{        
        //    // To generate code for this test, select "Generate Code for Coded UI Test" from the shortcut menu and select one of the menu items.
        //}

        ////Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{        
        //    // To generate code for this test, select "Generate Code for Coded UI Test" from the shortcut menu and select one of the menu items.
        //}

        #endregion

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }
        private TestContext testContextInstance;

        public UIMap UIMap
        {
            get
            {
                if ((this.map == null))
                {
                    this.map = new UIMap();
                }

                return this.map;
            }
        }

        private UIMap map;
    }
}
